### Hierarchy

- AjaxOptions

## Index

### Properties

- attachments
- cache
- cancel
- contentType
- data
- dataType
- headers
- method
- responseHeaders
- responseText
- responseType
- status
- url

## Properties

### Optional attachments

attachments: any[]

- Defined in src/services/http/AjaxOptions.ts:11

### Optional cache

cache: any

- Defined in src/services/http/AjaxOptions.ts:10

### Optional cancel

cancel: CancelToken

- Defined in src/services/http/AjaxOptions.ts:8

### Optional contentType

contentType: string

- Defined in src/services/http/AjaxOptions.ts:4

### Optional data

data: any

- Defined in src/services/http/AjaxOptions.ts:7

### Optional dataType

dataType: string

- Defined in src/services/http/AjaxOptions.ts:3

### Optional headers

headers: INameValues

- Defined in src/services/http/AjaxOptions.ts:9

### Optional method

method: string

- Defined in src/services/http/AjaxOptions.ts:5

### Optional responseHeaders

responseHeaders: string

- Defined in src/services/http/AjaxOptions.ts:13

### Optional responseText

responseText: string

- Defined in src/services/http/AjaxOptions.ts:12

### Optional responseType

responseType: string

- Defined in src/services/http/AjaxOptions.ts:15

### Optional status

status: number

- Defined in src/services/http/AjaxOptions.ts:14

### Optional url

url: string

- Defined in src/services/http/AjaxOptions.ts:6

Generated using TypeDoc